<?php
error_reporting(0);
include('../start.php');
include("../config.php");
include("../includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;

$ref = rand(1000, 9999);
///////////////////////////////////////////////////////////////////////////
if ($_GET['rate'])
{
$rate = htmlspecialchars(mysql_escape_string(trim(intval($_GET['rate']))));
}
if ($_POST['rate'])
{
$rate = htmlspecialchars(mysql_escape_string(trim(intval($_POST['rate']))));
}
///////////////////////////////////////////////////////////////////////////
$ttl="Кости";
$banner = file("../system/banner.dat");
$ssylka = trim($banner[0]);
$img = trim($banner[1]);
$igra = trim($banner[5]);
switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `posts`, `gbalans` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"Ошибка\" ontimer=\"index.php?ver=wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
echo"<br/>$wmlfoot";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

$posts = mysql_result($q, 0, 'posts');
$gbalans = mysql_result($q, 0, 'gbalans');

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"Кости\"><p align=\"left\">\n";

if($posts < 50)
{
echo "Чтобы попасть в данную игру, Вам необходимо набрать минимум 50 постов в чате.<br/>\n";
echo "<br/>• <a href=\"/menu/wml\">В прихожую</a><br/>\n";
include('../banners/igra');
echo"<br/>$wmlfoot";
echo "</p></card></wml>";
exit();
}

if(isset($_GET['case']))
{
$case = $_GET['case'];
}
else
{
$case = "";
}

switch($case)
{
case 'rules':
echo <<< END
<b>Правила</b><br/>
Чтобы участвовать в игре, вам необходимо набрать минимум 50 постов в чате.<br/>
Вам нужно ввести ставку и нажать "Бросить".<br/>
Ставка не должна быть больше количества постов, которое у вас есть.<br/>
Если за бросок Вы заработаете очков больше, чем бот, то сумма ставки прибавится к вашему количеству постов, в противном случае посты наоборот отнимутся.<br/>
END;
break;

case 'top':
$sql = mysql_query("SELECT `nickname`, `gbalans` FROM `chat_users` ORDER BY `gbalans` DESC LIMIT 10;");
echo "<b>TOP ".mysql_num_rows($sql)." азартных пользователей</b><br/>\n";

$c = 1;

while($user = mysql_fetch_array($sql))
{
echo "$c. ".$user['nickname']." - ".$user['gbalans']."<br/>";
$c++;
}
break;

case 'game':
$rate = intval($_POST['rate']);

	if($rate == 0)
	{
	echo "Играть можно минимум на 1 пост.<br/>\n";
	break;
	}

	if($rate > $posts)
	{
	echo "Вы не можете ставить постов больше, чем у Вас на самом деле есть.<br/>\n";
	break;
	}

	if($rate < 0)
	{
	echo "Ставка не может быть меньше нуля!<br/>\n";
	break;
	}

	if($rate > 3000)
	{
	echo "Извините, но ставки выше 3000 постов не принимаются.<br/>\n";
	break;
	}

$bot = array(rand(2, 12), rand(2, 12));
$player = array(rand(2, 12), rand(2, 12));

if(array_sum($bot) < array_sum($player))
{
echo "Поздравляем!<br/>\n";
echo "Вы выиграли ".$rate." постов.<br/>\n";
echo "Бот бросил <u>".$bot[0]."</u> и <u>".$bot[1]."</u>.<br/>\n";
echo "А Вы бросили <u>".$player[0]."</u> и <u>".$player[1]."</u><br/>\n";
echo "Ваши посты: <u>".($posts + $rate)."</u><br/>\n";
echo "Игровой баланс: <u>".($gbalans + $rate)."</u><br/>\n";
echo "Ваша ставка:<br/>\n";
echo "<input name=\"rate$ref\" value=\"".$rate."\" format=\"*N\" size=\"5\"/><br/>";
echo "<anchor>Бросить<go href=\"/games/dice.php?".SID."&amp;ver=wml&amp;case=game\" method=\"post\">\n";
echo "<postfield name=\"rate\" value=\"$(rate$ref)\"/>\n";
echo "</go></anchor><br/>\n";
mysql_query("UPDATE `chat_users` SET `posts` = ".$posts." + '".$rate."', `gbalans` = ".$gbalans." + '".$rate."' WHERE `id` = '".$id."';");
}
else
{
echo "Проигрыш.<br/>\n";
echo "Вы проиграли ".$rate." постов.<br/>\n";
echo "Бот бросил <u>".$bot[0]."</u> и <u>".$bot[1]."</u>.<br/>\n";
echo "А Вы бросили <u>".$player[0]."</u> и <u>".$player[1]."</u><br/>\n";
echo "Ваши посты: <u>".($posts - $rate)."</u><br/>\n";
echo "Игровой баланс: <u>".($gbalans - $rate)."</u><br/>\n";
echo "Ваша ставка:<br/>\n";
echo "<input name=\"rate$ref\" value=\"".$rate."\" format=\"*N\" size=\"5\"/><br/>";
echo "<anchor>Бросить<go href=\"/games/dice.php?".SID."&amp;ver=wml&amp;case=game\" method=\"post\">\n";
echo "<postfield name=\"rate\" value=\"$(rate$ref)\"/>\n";
echo "</go></anchor><br/>\n";
mysql_query("UPDATE `chat_users` SET `posts` = ".$posts." - '".$rate."', `gbalans` = ".$gbalans." - '".$rate."' WHERE `id` = '".$id."';");
}
break;

default:
echo "Ваши посты: <u>".$posts."</u><br/>\n";
echo "Игровой баланс: <u>".$gbalans."</u><br/>\n";
echo "Ваша ставка:<br/>\n";
echo "<input name=\"rate$ref\" value=\"5\" format=\"*N\" size=\"5\"/><br/>";
echo "<anchor>Бросить<go href=\"/games/dice.php?".SID."&amp;ver=wml&amp;case=game\" method=\"post\">\n";
echo "<postfield name=\"rate\" value=\"$(rate$ref)\"/>\n";
echo "</go></anchor><br/>\n";
echo "• <a href=\"/games/dice.php?".SID."&amp;ver=wml&amp;case=rules\">Правила</a><br/>\n";
echo "• <a href=\"/games/dice.php?".SID."&amp;ver=wml&amp;case=top\">Самые азатные</a><br/>\n";
break;
}

if(!empty($case)) echo "• <a href=\"/games/dice/wml\">Кости</a><br/>\n";
echo "<br/>• <a href=\"/menu/wml\">В прихожую</a><br/>\n";
include('../banners/igra');
echo"<br/>$wmlfoot";
echo "</p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-relative");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `posts`, `gbalans` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
include('../banners/igra');
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH

$posts = mysql_result($q, 0, 'posts');
$gbalans = mysql_result($q, 0, 'gbalans');

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

echo "$css";
echo'<title>'.$ttl.'</title>';

echo'<div class="d3">'.$ttl.'</div>';

if($posts < 50)
{
echo "Чтобы попасть в данную игру, Вам необходимо набрать минимум 50 постов в чате.\n";
echo "<div class=\"d1\">• <a href=\"/menu/html\">В прихожую</a><br/>";
include('../banners/igra');
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}

if(isset($_GET['case']))
{
$case = $_GET['case'];
}
else
{
$case = "";
}

switch($case)
{
case 'rules':
echo <<< END
<b>Правила</b><br/>
Чтобы участвовать в игре, вам необходимо набрать минимум 50 постов в чате.<br/>
Вам нужно ввести ставку и нажать "Бросить".<br/>
Ставка не должна быть больше количества постов, которое у вас есть.<br/>
Если за бросок Вы заработаете очков больше, чем бот, то сумма ставки прибавится к вашему количеству постов, в противном случае посты наоборот отнимутся.<br/>
END;
break;

case 'top':
$sql = mysql_query("SELECT `nickname`, `gbalans` FROM `chat_users` ORDER BY `gbalans` DESC LIMIT 10;");
echo "<b>TOP ".mysql_num_rows($sql)." азартных пользователей</b><br/>\n";

$c = 1;

while($user = mysql_fetch_array($sql))
{
echo "$c. ".$user['nickname']." - ".$user['gbalans']."<br/>";
$c++;
}
break;

case 'game':
$rate = intval($_POST['rate']);

	if($rate == 0)
	{
	echo "Играть можно минимум на 1 пост.<br/>\n";
	break;
	}

	if($rate > $posts)
	{
	echo "Вы не можете ставить постов больше, чем у Вас на самом деле есть.<br/>\n";
	break;
	}

	if($rate < 0)
	{
	echo "Ставка не может быть меньше нуля!<br/>\n";
	break;
	}

	if($rate > 3000)
	{
	echo "Извините, но ставки выше 3000 постов не принимаются.<br/>\n";
	break;
	}

$bot = array(rand(2, 12), rand(2, 12));
$player = array(rand(2, 12), rand(2, 12));
if(array_sum($bot) < array_sum($player))
{
echo "Поздравляем!<br/>\n";
echo "Вы выиграли ".$rate." постов.<br/>\n";
echo "Бот бросил <u>".$bot[0]."</u> и <u>".$bot[1]."</u>.<br/>\n";
echo "А Вы бросили <u>".$player[0]."</u> и <u>".$player[1]."</u><br/>\n";
echo "Ваши посты: <u>".($posts + $rate)."</u><br/>\n";
echo "Игровой баланс: <u>".($gbalans + $rate)."</u><br/>\n";
echo "<div class=\"form\">\n";
echo "<form action=\"/games/dice.php?".SID."&amp;ver=html&amp;case=game\" method=\"post\">\n";
echo "Ваша ставка:<br/>\n";
echo "<input name=\"rate\" value=\"".$rate."\" size=\"5\"/>";
echo "<input type=\"submit\" value=\"Бросить\" /></form>\n";
mysql_query("UPDATE `chat_users` SET `posts` = ".$posts." + '".$rate."', `gbalans` = ".$gbalans." + '".$rate."' WHERE `id` = '".$id."';");
}
else
{
echo "Проигрыш.<br/>\n";
echo "Вы проиграли ".$rate." постов.<br/>\n";
echo "Бот бросил <u>".$bot[0]."</u> и <u>".$bot[1]."</u>.<br/>\n";
echo "А Вы бросили <u>".$player[0]."</u> и <u>".$player[1]."</u><br/>\n";
echo "Ваши посты: <u>".($posts - $rate)."</u><br/>\n";
echo "Игровой баланс: <u>".($gbalans - $rate)."</u><br/>\n";
echo "<div class=\"form\">\n";
echo "<form action=\"/games/dice.php?".SID."&amp;ver=html&amp;case=game\" method=\"post\">\n";
echo "Ваша ставка:<br/>\n";
echo "<input name=\"rate\" value=\"".$rate."\" size=\"5\"/>";
echo "<input type=\"submit\" value=\"Бросить\" /></form>\n";
mysql_query("UPDATE `chat_users` SET `posts` = ".$posts." - '".$rate."', `gbalans` = ".$gbalans." - '".$rate."' WHERE `id` = '".$id."';");
}
break;

default:
echo "Ваши посты: <u>".$posts."</u><br/>\n";
echo "Игровой баланс: <u>".$gbalans."</u><br/>\n";
echo "<div class=\"form\">\n";
echo "<form action=\"/games/dice.php?".SID."&amp;ver=html&amp;case=game\" method=\"post\">\n";
echo "Ваша ставка:<br/>\n";
echo "<input name=\"rate\" value=\"".$rate."\" size=\"5\"/>";
echo "<input type=\"submit\" value=\"Бросить\" /></form>\n";
echo "<div class=\"d1\">• <a href=\"/games/dice.php?".SID."&amp;ver=html&amp;case=rules\">Правила</a><br/>\n";
echo "• <a href=\"/games/dice.php?".SID."&amp;ver=html&amp;case=top\">Самые азатные</a></div>\n";
break;
}
if(!empty($case)) echo "<div class=\"d1\">• <a href=\"/games/dice/html\">Кости</a></div>\n";
echo "<div class=\"d1\">• <a href=\"/menu/html\">В прихожую</a><br/>";
include('../banners/igra');
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
break;
}
?>